Tonyu.klass.define({
  fullName: 'user.Ball',
  shortName: 'Ball',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Ball_main() {
      "use strict";
      var _this=this;
      
      
    },
    fiber$main :function _trc_Ball_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      
      _thread.retVal=_this;return;
    },
    onAppear :function _trc_Ball_onAppear() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000029;//user.Ball:29
      _this.shade=new Tonyu.classes.kernel.ActorSprite({x: _this.x,y: _this.y,p: Tonyu.globals.$pshade});
    },
    fiber$onAppear :function _trc_Ball_f_onAppear(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000029;//user.Ball:29
      _this.shade=new Tonyu.classes.kernel.ActorSprite({x: _this.x,y: _this.y,p: Tonyu.globals.$pshade});
      
      _thread.retVal=_this;return;
    },
    draw :function _trc_Ball_draw(ctx) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000087;//user.Ball:87
      Tonyu.classes.kernel.Actor.prototype.draw.apply( _this, [ctx]);
      //$LASTPOS=1000108;//user.Ball:108
      _this.shade.x=_this.x;
      //$LASTPOS=1000123;//user.Ball:123
      _this.shade.y=_this.y;
      //$LASTPOS=1000138;//user.Ball:138
      _this.shade.draw(ctx);
    },
    chainable :function _trc_Ball_chainable(b) {
      "use strict";
      var _this=this;
      
      return _this.col===b.col||_this.letter===b.letter||_this.col===b.letter||_this.letter===b.col;
    },
    fiber$chainable :function _trc_Ball_f_chainable(_thread,b) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.col===b.col||_this.letter===b.letter||_this.col===b.letter||_this.letter===b.col;return;
      
      
      _thread.retVal=_this;return;
    },
    __getter__basep :function _trc_Ball___getter__basep() {
      "use strict";
      var _this=this;
      
      return _this.p-Tonyu.globals.$pat_iroball;
    },
    __getter__col :function _trc_Ball___getter__col() {
      "use strict";
      var _this=this;
      
      return _this.basep%5;
    },
    __getter__letter :function _trc_Ball___getter__letter() {
      "use strict";
      var _this=this;
      
      return _this.floor(_this.basep/5);
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"onAppear":{"nowait":false},"draw":{"nowait":true},"chainable":{"nowait":false},"__getter__basep":{"nowait":true},"__getter__col":{"nowait":true},"__getter__letter":{"nowait":true}},"fields":{"shade":{}}}
});
Tonyu.klass.define({
  fullName: 'user.BtScreen',
  shortName: 'BtScreen',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Screen,
  includes: [],
  methods: {
    main :function _trc_BtScreen_main() {
      "use strict";
      var _this=this;
      
      
    },
    fiber$main :function _trc_BtScreen_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      
      _thread.retVal=_this;return;
    },
    onAppear :function _trc_BtScreen_onAppear() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000047;//user.BtScreen:47
      _this.btLayer=_this.addLayer();
      //$LASTPOS=2000071;//user.BtScreen:71
      Tonyu.globals.$pp=new Tonyu.classes.user.PParty({layer: _this.btLayer,scr: _this});
      //$LASTPOS=2000115;//user.BtScreen:115
      Tonyu.globals.$ep=new Tonyu.classes.user.EParty({layer: _this.btLayer,scr: _this});
    },
    fiber$onAppear :function _trc_BtScreen_f_onAppear(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_BtScreen_ent_onAppear(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000047;//user.BtScreen:47
            _this.fiber$addLayer(_thread);
            __pc=1;return;
          case 1:
            _this.btLayer=_thread.retVal;
            
            //$LASTPOS=2000071;//user.BtScreen:71
            Tonyu.globals.$pp=new Tonyu.classes.user.PParty({layer: _this.btLayer,scr: _this});
            //$LASTPOS=2000115;//user.BtScreen:115
            Tonyu.globals.$ep=new Tonyu.classes.user.EParty({layer: _this.btLayer,scr: _this});
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"onAppear":{"nowait":false}},"fields":{"btLayer":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Chain',
  shortName: 'Chain',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Chain_main() {
      "use strict";
      var _this=this;
      var _it_96;
      
      
      //$LASTPOS=3000011;//user.Chain:11
      _this.path = [{gx: _this.gx,gy: _this.gy,b: Tonyu.globals.$pzScreen.getSBall(_this.gx,_this.gy)}];
      
      
      //$LASTPOS=3000071;//user.Chain:71
      while (Tonyu.globals.$touches[0].touched) {
        Tonyu.checkLoop();
        //$LASTPOS=3000105;//user.Chain:105
        _this.g = Tonyu.globals.$pzScreen.grid(Tonyu.globals.$touches[0]);
        
        //$LASTPOS=3000144;//user.Chain:144
        Tonyu.globals.$pzScreen.zoom(Tonyu.globals.$pzScreen.toLocal(Tonyu.globals.$touches[0]));
        //$LASTPOS=3000196;//user.Chain:196
        if (_this.abs(_this.g.gx-_this.gx)+_this.abs(_this.g.gy-_this.gy)==1) {
          //$LASTPOS=3000240;//user.Chain:240
          _this.b = Tonyu.globals.$pzScreen.getSBall(_this.g.gx,_this.g.gy);
          
          //$LASTPOS=3000285;//user.Chain:285
          _this.lastb = _this.path[_this.path.length-1].b;
          
          //$LASTPOS=3000326;//user.Chain:326
          if (_this.b&&! _this.b.inchain) {
            //$LASTPOS=3000361;//user.Chain:361
            if (_this.lastb.chainable(_this.b)) {
              //$LASTPOS=3000403;//user.Chain:403
              _this.gx=_this.g.gx;
              //$LASTPOS=3000428;//user.Chain:428
              _this.gy=_this.g.gy;
              //$LASTPOS=3000453;//user.Chain:453
              _this.b.inchain=true;
              //$LASTPOS=3000582;//user.Chain:582
              _this.path.push({gx: _this.gx,gy: _this.gy,b: _this.b});
              
            } else {
              //$LASTPOS=3000639;//user.Chain:639
              _this.missed=true;
              break;
              
              
            }
            
          }
          
        }
        //$LASTPOS=3000742;//user.Chain:742
        _this.update();
        
      }
      //$LASTPOS=3000754;//user.Chain:754
      _this.pow = _this.path.length;
      
      //$LASTPOS=3000775;//user.Chain:775
      _it_96=Tonyu.iterator(_this.path,1);
      while(_it_96.next()) {
        _this.p=_it_96[0];
        
        //$LASTPOS=3000801;//user.Chain:801
        _this.b = _this.p.b;
        
        //$LASTPOS=3000816;//user.Chain:816
        if (_this.missed) {
          //$LASTPOS=3000838;//user.Chain:838
          new Tonyu.classes.user.Effect({src: _this.b,dst: Tonyu.globals.$ep.random(),pow: _this.pow*3});
          
        } else {
          //$LASTPOS=3000916;//user.Chain:916
          _this.pp = Tonyu.globals.$pp.find(_this.b.col);
          
          //$LASTPOS=3000948;//user.Chain:948
          if (_this.pp) {
            //$LASTPOS=3000970;//user.Chain:970
            new Tonyu.classes.user.Effect({src: _this.b,dst: _this.pp,pow: _this.pow});
            
          }
          
        }
        //$LASTPOS=3001021;//user.Chain:1021
        _this.b.die();
        //$LASTPOS=3001034;//user.Chain:1034
        Tonyu.globals.$pzScreen.rm(_this.p.gx,_this.p.gy);
        //$LASTPOS=3001063;//user.Chain:1063
        _this.updateEx(3);
        
      }
      //$LASTPOS=3001078;//user.Chain:1078
      Tonyu.globals.$pzScreen.fill();
      //$LASTPOS=3001112;//user.Chain:1112
      Tonyu.globals.$pzScreen.zoom();
      //$LASTPOS=3001130;//user.Chain:1130
      _this.die();
    },
    fiber$main :function _trc_Chain_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var _it_96;
      
      
      //$LASTPOS=3000011;//user.Chain:11
      _this.path = [{gx: _this.gx,gy: _this.gy,b: Tonyu.globals.$pzScreen.getSBall(_this.gx,_this.gy)}];
      
      
      
      _thread.enter(function _trc_Chain_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3000071;//user.Chain:71
          case 1:
            if (!(Tonyu.globals.$touches[0].touched)) { __pc=7     ; break; }
            //$LASTPOS=3000105;//user.Chain:105
            _this.g = Tonyu.globals.$pzScreen.grid(Tonyu.globals.$touches[0]);
            
            //$LASTPOS=3000144;//user.Chain:144
            Tonyu.globals.$pzScreen.zoom(Tonyu.globals.$pzScreen.toLocal(Tonyu.globals.$touches[0]));
            //$LASTPOS=3000196;//user.Chain:196
            if (!(_this.abs(_this.g.gx-_this.gx)+_this.abs(_this.g.gy-_this.gy)==1)) { __pc=5     ; break; }
            //$LASTPOS=3000240;//user.Chain:240
            _this.b = Tonyu.globals.$pzScreen.getSBall(_this.g.gx,_this.g.gy);
            
            //$LASTPOS=3000285;//user.Chain:285
            _this.lastb = _this.path[_this.path.length-1].b;
            
            //$LASTPOS=3000326;//user.Chain:326
            if (!(_this.b&&! _this.b.inchain)) { __pc=4     ; break; }
            //$LASTPOS=3000361;//user.Chain:361
            if (!(_this.lastb.chainable(_this.b))) { __pc=2     ; break; }
            {
              //$LASTPOS=3000403;//user.Chain:403
              _this.gx=_this.g.gx;
              //$LASTPOS=3000428;//user.Chain:428
              _this.gy=_this.g.gy;
              //$LASTPOS=3000453;//user.Chain:453
              _this.b.inchain=true;
              //$LASTPOS=3000582;//user.Chain:582
              _this.path.push({gx: _this.gx,gy: _this.gy,b: _this.b});
            }
            __pc=3     ;break;
          case 2     :
            //$LASTPOS=3000639;//user.Chain:639
            _this.missed=true;
            __pc=7     ; break;
            
          case 3     :
            
          case 4     :
            
          case 5     :
            
            //$LASTPOS=3000742;//user.Chain:742
            _this.fiber$update(_thread);
            __pc=6;return;
          case 6:
            
            __pc=1;break;
          case 7     :
            
            //$LASTPOS=3000754;//user.Chain:754
            _this.pow = _this.path.length;
            
            //$LASTPOS=3000775;//user.Chain:775
            _it_96=Tonyu.iterator(_this.path,1);
          case 8:
            if (!(_it_96.next())) { __pc=10    ; break; }
            _this.p=_it_96[0];
            
            //$LASTPOS=3000801;//user.Chain:801
            _this.b = _this.p.b;
            
            //$LASTPOS=3000816;//user.Chain:816
            if (_this.missed) {
              //$LASTPOS=3000838;//user.Chain:838
              new Tonyu.classes.user.Effect({src: _this.b,dst: Tonyu.globals.$ep.random(),pow: _this.pow*3});
              
            } else {
              //$LASTPOS=3000916;//user.Chain:916
              _this.pp = Tonyu.globals.$pp.find(_this.b.col);
              
              //$LASTPOS=3000948;//user.Chain:948
              if (_this.pp) {
                //$LASTPOS=3000970;//user.Chain:970
                new Tonyu.classes.user.Effect({src: _this.b,dst: _this.pp,pow: _this.pow});
                
              }
              
            }
            //$LASTPOS=3001021;//user.Chain:1021
            _this.b.die();
            //$LASTPOS=3001034;//user.Chain:1034
            Tonyu.globals.$pzScreen.rm(_this.p.gx,_this.p.gy);
            //$LASTPOS=3001063;//user.Chain:1063
            _this.fiber$updateEx(_thread, 3);
            __pc=9;return;
          case 9:
            
            __pc=8;break;
          case 10    :
            
            //$LASTPOS=3001078;//user.Chain:1078
            Tonyu.globals.$pzScreen.fill();
            //$LASTPOS=3001112;//user.Chain:1112
            Tonyu.globals.$pzScreen.zoom();
            //$LASTPOS=3001130;//user.Chain:1130
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    draw :function _trc_Chain_draw(ctx) {
      "use strict";
      var _this=this;
      var t;
      var c;
      var p;
      var _it_98;
      var l;
      
      //$LASTPOS=3001155;//user.Chain:1155
      t = new Tonyu.classes.user.Turtle(ctx,_this.path[0].gx*32+16,_this.path[0].gy*32+16);
      
      //$LASTPOS=3001216;//user.Chain:1216
      c = new Tonyu.classes.kernel.Color({h: Tonyu.globals.$frameCount,s: 1,l: 0.5});
      
      //$LASTPOS=3001263;//user.Chain:1263
      t.fillStyle=c;
      //$LASTPOS=3001282;//user.Chain:1282
      t.strokeStyle=c;
      //$LASTPOS=3001303;//user.Chain:1303
      t.lineWidth=3;
      //$LASTPOS=3001350;//user.Chain:1350
      _it_98=Tonyu.iterator(_this.path,1);
      while(_it_98.next()) {
        p=_it_98[0];
        
        //$LASTPOS=3001380;//user.Chain:1380
        t.lineTo(p.gx*32+16,p.gy*32+16);
        //$LASTPOS=3001421;//user.Chain:1421
        t.circle(5);
        
      }
      //$LASTPOS=3001488;//user.Chain:1488
      l = Tonyu.globals.$pzScreen.toLocal(Tonyu.globals.$touches[0]);
      
      //$LASTPOS=3001530;//user.Chain:1530
      t.lineTo(l.x,l.y);
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"gx":{},"gy":{},"path":{},"missed":{},"g":{},"b":{},"lastb":{},"pow":{},"p":{},"pp":{}}}
});
Tonyu.klass.define({
  fullName: 'user.ColorSprite',
  shortName: 'ColorSprite',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Panel,
  includes: [],
  methods: {
    main :function _trc_ColorSprite_main() {
      "use strict";
      var _this=this;
      
    },
    fiber$main :function _trc_ColorSprite_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.retVal=_this;return;
    },
    draw :function _trc_ColorSprite_draw(ctx) {
      "use strict";
      var _this=this;
      var i;
      
      //$LASTPOS=4000033;//user.ColorSprite:33
      i = Tonyu.globals.$imageList[_this.p];
      
      //$LASTPOS=4000058;//user.ColorSprite:58
      if (i) {
        //$LASTPOS=4000074;//user.ColorSprite:74
        if (i.width!=_this.width||i.height!=_this.height) {
          //$LASTPOS=4000128;//user.ColorSprite:128
          _this.resize(i.width,i.height);
          
        }
        //$LASTPOS=4000173;//user.ColorSprite:173
        _this.clearRect();
        //$LASTPOS=4000194;//user.ColorSprite:194
        _this.drawSprite(_this.width/2,_this.height/2,_this.p);
        //$LASTPOS=4000234;//user.ColorSprite:234
        _this.replaceColor(_this.fillStyle);
        
      }
      //$LASTPOS=4000269;//user.ColorSprite:269
      Tonyu.classes.kernel.Panel.prototype.draw.apply( _this, [ctx]);
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.DBall',
  shortName: 'DBall',
  namespace: 'user',
  superclass: Tonyu.classes.user.Ball,
  includes: [],
  methods: {
    main :function _trc_DBall_main() {
      "use strict";
      var _this=this;
      
      
      //$LASTPOS=5000024;//user.DBall:24
      _this.drop();
    },
    fiber$main :function _trc_DBall_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      
      _thread.enter(function _trc_DBall_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=5000024;//user.DBall:24
            _this.fiber$drop(_thread);
            __pc=1;return;
          case 1:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    drop :function _trc_DBall_drop() {
      "use strict";
      var _this=this;
      var gx;
      var gy;
      var b;
      
      
      //$LASTPOS=5000061;//user.DBall:61
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=5000083;//user.DBall:83
        _this.y+=8;
        //$LASTPOS=5000115;//user.DBall:115
        gx=_this.floor(_this.x/32);
        //$LASTPOS=5000139;//user.DBall:139
        gy=_this.floor(_this.y/32);
        //$LASTPOS=5000163;//user.DBall:163
        if (gy==Tonyu.globals.$r-1||_this.scr.getSBall(gx,gy+1)!=null) {
          break;
          
          
        }
        //$LASTPOS=5000370;//user.DBall:370
        _this.update();
        
      }
      //$LASTPOS=5000417;//user.DBall:417
      while (_this.y<gy*32+16) {
        Tonyu.checkLoop();
        //$LASTPOS=5000445;//user.DBall:445
        _this.y+=8;
        //$LASTPOS=5000459;//user.DBall:459
        _this.update();
        
      }
      //$LASTPOS=5000479;//user.DBall:479
      _this.y=gy*32+16;
      //$LASTPOS=5000515;//user.DBall:515
      b = _this.scr.genSBall(gx,gy,_this.p);
      
      //$LASTPOS=5000553;//user.DBall:553
      _this.die();
    },
    fiber$drop :function _trc_DBall_f_drop(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var gx;
      var gy;
      var b;
      
      
      
      _thread.enter(function _trc_DBall_ent_drop(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=5000061;//user.DBall:61
          case 1:
            //$LASTPOS=5000083;//user.DBall:83
            _this.y+=8;
            //$LASTPOS=5000115;//user.DBall:115
            gx=_this.floor(_this.x/32);
            //$LASTPOS=5000139;//user.DBall:139
            gy=_this.floor(_this.y/32);
            //$LASTPOS=5000163;//user.DBall:163
            if (!(gy==Tonyu.globals.$r-1||_this.scr.getSBall(gx,gy+1)!=null)) { __pc=2     ; break; }
            __pc=4     ; break;
            
          case 2     :
            
            //$LASTPOS=5000370;//user.DBall:370
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=5000417;//user.DBall:417
          case 5:
            if (!(_this.y<gy*32+16)) { __pc=7     ; break; }
            //$LASTPOS=5000445;//user.DBall:445
            _this.y+=8;
            //$LASTPOS=5000459;//user.DBall:459
            _this.fiber$update(_thread);
            __pc=6;return;
          case 6:
            
            __pc=5;break;
          case 7     :
            
            //$LASTPOS=5000479;//user.DBall:479
            _this.y=gy*32+16;
            //$LASTPOS=5000515;//user.DBall:515
            b = _this.scr.genSBall(gx,gy,_this.p);
            
            //$LASTPOS=5000553;//user.DBall:553
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"drop":{"nowait":false}},"fields":{"scr":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Effect',
  shortName: 'Effect',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Effect_main() {
      "use strict";
      var _this=this;
      
      
      //$LASTPOS=6000017;//user.Effect:17
      if (! _this.dst) {
        throw new Error("Effect: dst is null");
        
      }
      //$LASTPOS=6000067;//user.Effect:67
      _this.position.set(Tonyu.globals.$pzScreen.convert(_this.src,Tonyu.globals.$pzScreen.layer));
      //$LASTPOS=6000121;//user.Effect:121
      _this.alpha=200;
      //$LASTPOS=6000132;//user.Effect:132
      if (_this.dst instanceof Tonyu.classes.user.Player) {
        //$LASTPOS=6000157;//user.Effect:157
        _this.fillStyle=Tonyu.globals.$colors[_this.dst.col];
        //$LASTPOS=6000189;//user.Effect:189
        _this.radius=20;
        
      } else {
        //$LASTPOS=6000213;//user.Effect:213
        _this.fillStyle="red";
        //$LASTPOS=6000234;//user.Effect:234
        _this.text="×";
        //$LASTPOS=6000248;//user.Effect:248
        _this.size=64;
        
      }
      //$LASTPOS=6000259;//user.Effect:259
      _this.dp = new Tonyu.classes.kernel.Vec3(Tonyu.globals.$btScreen.convert(_this.dst,Tonyu.globals.$btScreen.layer));
      
      //$LASTPOS=6000318;//user.Effect:318
      _this.sp = _this.position.clone();
      
      //$LASTPOS=6000388;//user.Effect:388
      //$LASTPOS=6000392;//user.Effect:392
      _this.i = 0;
      for (; _this.i<=1 ; _this.i+=1/15) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=6000421;//user.Effect:421
          _this.position.set(_this.dp.mul(_this.i).add(_this.sp.mul(1-_this.i)));
          //$LASTPOS=6000467;//user.Effect:467
          _this.update();
        }
      }
      //$LASTPOS=6000479;//user.Effect:479
      _this.dst.incPow(_this.pow);
      //$LASTPOS=6000496;//user.Effect:496
      _this.die();
    },
    fiber$main :function _trc_Effect_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      //$LASTPOS=6000017;//user.Effect:17
      if (! _this.dst) {
        throw new Error("Effect: dst is null");
        
      }
      //$LASTPOS=6000067;//user.Effect:67
      _this.position.set(Tonyu.globals.$pzScreen.convert(_this.src,Tonyu.globals.$pzScreen.layer));
      //$LASTPOS=6000121;//user.Effect:121
      _this.alpha=200;
      //$LASTPOS=6000132;//user.Effect:132
      if (_this.dst instanceof Tonyu.classes.user.Player) {
        //$LASTPOS=6000157;//user.Effect:157
        _this.fillStyle=Tonyu.globals.$colors[_this.dst.col];
        //$LASTPOS=6000189;//user.Effect:189
        _this.radius=20;
        
      } else {
        //$LASTPOS=6000213;//user.Effect:213
        _this.fillStyle="red";
        //$LASTPOS=6000234;//user.Effect:234
        _this.text="×";
        //$LASTPOS=6000248;//user.Effect:248
        _this.size=64;
        
      }
      //$LASTPOS=6000259;//user.Effect:259
      _this.dp = new Tonyu.classes.kernel.Vec3(Tonyu.globals.$btScreen.convert(_this.dst,Tonyu.globals.$btScreen.layer));
      
      //$LASTPOS=6000318;//user.Effect:318
      _this.sp = _this.position.clone();
      
      
      _thread.enter(function _trc_Effect_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=6000388;//user.Effect:388
            //$LASTPOS=6000392;//user.Effect:392
            _this.i = 0;
            
          case 1:
            if (!(_this.i<=1)) { __pc=4     ; break; }
            //$LASTPOS=6000421;//user.Effect:421
            _this.position.set(_this.dp.mul(_this.i).add(_this.sp.mul(1-_this.i)));
            //$LASTPOS=6000467;//user.Effect:467
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3     :
            _this.i+=1/15;
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=6000479;//user.Effect:479
            _this.dst.incPow(_this.pow);
            //$LASTPOS=6000496;//user.Effect:496
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"src":{},"dst":{},"pow":{},"dp":{},"sp":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.EParty',
  shortName: 'EParty',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_EParty_main() {
      "use strict";
      var _this=this;
      
      
      //$LASTPOS=7000020;//user.EParty:20
      _this.p=1;
      //$LASTPOS=7000025;//user.EParty:25
      _this.maxe=_this.maxe||3;
      //$LASTPOS=7000052;//user.EParty:52
      _this.pitch=_this.scr.width/_this.maxe;
      //$LASTPOS=7000074;//user.EParty:74
      //$LASTPOS=7000079;//user.EParty:79
      _this.i = 0;
      for (; _this.i<_this.maxe ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=7000105;//user.EParty:105
          _this.add(_this.i);
        }
      }
    },
    fiber$main :function _trc_EParty_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      //$LASTPOS=7000020;//user.EParty:20
      _this.p=1;
      //$LASTPOS=7000025;//user.EParty:25
      _this.maxe=_this.maxe||3;
      //$LASTPOS=7000052;//user.EParty:52
      _this.pitch=_this.scr.width/_this.maxe;
      
      _thread.enter(function _trc_EParty_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=7000074;//user.EParty:74
            //$LASTPOS=7000079;//user.EParty:79
            _this.i = 0;
            
          case 1:
            if (!(_this.i<_this.maxe)) { __pc=4     ; break; }
            //$LASTPOS=7000105;//user.EParty:105
            _this.fiber$add(_thread, _this.i);
            __pc=2;return;
          case 2:
            
          case 3     :
            _this.i++;
            __pc=1;break;
          case 4     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    add :function _trc_EParty_add(c) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7000130;//user.EParty:130
      new Tonyu.classes.user.Enemy({x: (c+0.5)*_this.pitch,y: 32,p: Tonyu.globals.$pat_enemy1+c,fillStyle: Tonyu.globals.$colors[c],layer: _this.layer});
    },
    fiber$add :function _trc_EParty_f_add(_thread,c) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7000130;//user.EParty:130
      new Tonyu.classes.user.Enemy({x: (c+0.5)*_this.pitch,y: 32,p: Tonyu.globals.$pat_enemy1+c,fillStyle: Tonyu.globals.$colors[c],layer: _this.layer});
      
      _thread.retVal=_this;return;
    },
    random :function _trc_EParty_random() {
      "use strict";
      var _this=this;
      
      return _this.all(Tonyu.classes.user.Enemy).random();
    },
    fiber$random :function _trc_EParty_f_random(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.all(Tonyu.classes.user.Enemy).random();return;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"add":{"nowait":false},"random":{"nowait":false}},"fields":{"pitch":{},"scr":{},"maxe":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      
      //$LASTPOS=8000017;//user.Main:17
      Tonyu.globals.$colors=["#0af","#e00","#ee0","#0d6","#a0f"];
      //$LASTPOS=8000063;//user.Main:63
      Tonyu.globals.$colorc=5;
      //$LASTPOS=8000074;//user.Main:74
      Tonyu.globals.$r=5;
      //$LASTPOS=8000079;//user.Main:79
      Tonyu.globals.$c=6;
      //$LASTPOS=8000115;//user.Main:115
      Tonyu.globals.$Screen.resize(Tonyu.globals.$c*32,Tonyu.globals.$r*64);
      //$LASTPOS=8000144;//user.Main:144
      _this.m=new Tonyu.classes.user.MakePat;
      //$LASTPOS=8000159;//user.Main:159
      _this.waitEvent(_this.m,"die");
      //$LASTPOS=8000179;//user.Main:179
      Tonyu.globals.$pzScreen=new Tonyu.classes.user.PzScreen({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight-32*(Tonyu.globals.$r/2),width: Tonyu.globals.$c*32,height: 32*Tonyu.globals.$r});
      //$LASTPOS=8000317;//user.Main:317
      Tonyu.globals.$btScreen=new Tonyu.classes.user.BtScreen({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/4,width: Tonyu.globals.$screenWidth/2,height: Tonyu.globals.$screenHeight/4,scaleX: 2});
      //$LASTPOS=8000473;//user.Main:473
      //$LASTPOS=8000478;//user.Main:478
      _this.i=Tonyu.globals.$r-1;for (; _this.i>=0 ; _this.i--) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=8000501;//user.Main:501
          //$LASTPOS=8000506;//user.Main:506
          _this.j=0;for (; _this.j<Tonyu.globals.$c ; _this.j++) {
            Tonyu.checkLoop();
            {
              //$LASTPOS=8000530;//user.Main:530
              Tonyu.globals.$pzScreen.genDBall(_this.j,_this.i-Tonyu.globals.$r,Tonyu.globals.$pat_iroball+_this.rnd(25));
            }
          }
        }
      }
      //$LASTPOS=8000596;//user.Main:596
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=8000645;//user.Main:645
        if (_this.chain) {
          //$LASTPOS=8000666;//user.Main:666
          if (_this.chain.isDead()) {
            //$LASTPOS=8000686;//user.Main:686
            _this.chain=null;
          }
          
        } else {
          //$LASTPOS=8000709;//user.Main:709
          if (Tonyu.globals.$touches[0].touched==1) {
            //$LASTPOS=8000747;//user.Main:747
            _this.g = Tonyu.globals.$pzScreen.grid(Tonyu.globals.$touches[0]);
            
            //$LASTPOS=8000790;//user.Main:790
            _this.b = Tonyu.globals.$pzScreen.getSBall(_this.g.gx,_this.g.gy);
            
            //$LASTPOS=8000835;//user.Main:835
            if (_this.b) {
              //$LASTPOS=8000856;//user.Main:856
              _this.chain=new Tonyu.classes.user.Chain({gx: _this.g.gx,gy: _this.g.gy,layer: Tonyu.globals.$pzScreen.ballLayer});
              
            }
            
          }
        }
        //$LASTPOS=8001248;//user.Main:1248
        _this.update();
        
      }
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      //$LASTPOS=8000017;//user.Main:17
      Tonyu.globals.$colors=["#0af","#e00","#ee0","#0d6","#a0f"];
      //$LASTPOS=8000063;//user.Main:63
      Tonyu.globals.$colorc=5;
      //$LASTPOS=8000074;//user.Main:74
      Tonyu.globals.$r=5;
      //$LASTPOS=8000079;//user.Main:79
      Tonyu.globals.$c=6;
      //$LASTPOS=8000115;//user.Main:115
      Tonyu.globals.$Screen.resize(Tonyu.globals.$c*32,Tonyu.globals.$r*64);
      //$LASTPOS=8000144;//user.Main:144
      _this.m=new Tonyu.classes.user.MakePat;
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=8000159;//user.Main:159
            _this.fiber$waitEvent(_thread, _this.m, "die");
            __pc=1;return;
          case 1:
            
            //$LASTPOS=8000179;//user.Main:179
            Tonyu.globals.$pzScreen=new Tonyu.classes.user.PzScreen({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight-32*(Tonyu.globals.$r/2),width: Tonyu.globals.$c*32,height: 32*Tonyu.globals.$r});
            //$LASTPOS=8000317;//user.Main:317
            Tonyu.globals.$btScreen=new Tonyu.classes.user.BtScreen({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/4,width: Tonyu.globals.$screenWidth/2,height: Tonyu.globals.$screenHeight/4,scaleX: 2});
            //$LASTPOS=8000473;//user.Main:473
            //$LASTPOS=8000478;//user.Main:478
            _this.i=Tonyu.globals.$r-1;for (; _this.i>=0 ; _this.i--) {
              Tonyu.checkLoop();
              {
                //$LASTPOS=8000501;//user.Main:501
                //$LASTPOS=8000506;//user.Main:506
                _this.j=0;for (; _this.j<Tonyu.globals.$c ; _this.j++) {
                  Tonyu.checkLoop();
                  {
                    //$LASTPOS=8000530;//user.Main:530
                    Tonyu.globals.$pzScreen.genDBall(_this.j,_this.i-Tonyu.globals.$r,Tonyu.globals.$pat_iroball+_this.rnd(25));
                  }
                }
              }
            }
            //$LASTPOS=8000596;//user.Main:596
          case 2:
            //$LASTPOS=8000645;//user.Main:645
            if (_this.chain) {
              //$LASTPOS=8000666;//user.Main:666
              if (_this.chain.isDead()) {
                //$LASTPOS=8000686;//user.Main:686
                _this.chain=null;
              }
              
            } else {
              //$LASTPOS=8000709;//user.Main:709
              if (Tonyu.globals.$touches[0].touched==1) {
                //$LASTPOS=8000747;//user.Main:747
                _this.g = Tonyu.globals.$pzScreen.grid(Tonyu.globals.$touches[0]);
                
                //$LASTPOS=8000790;//user.Main:790
                _this.b = Tonyu.globals.$pzScreen.getSBall(_this.g.gx,_this.g.gy);
                
                //$LASTPOS=8000835;//user.Main:835
                if (_this.b) {
                  //$LASTPOS=8000856;//user.Main:856
                  _this.chain=new Tonyu.classes.user.Chain({gx: _this.g.gx,gy: _this.g.gy,layer: Tonyu.globals.$pzScreen.ballLayer});
                  
                }
                
              }
            }
            //$LASTPOS=8001248;//user.Main:1248
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
            __pc=2;break;
          case 4     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"m":{},"i":{},"j":{},"chain":{},"g":{},"b":{}}}
});
Tonyu.klass.define({
  fullName: 'user.MakePat',
  shortName: 'MakePat',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_MakePat_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=9000000;//user.MakePat:0
      _this.x=_this.y=0;
      //$LASTPOS=9000006;//user.MakePat:6
      _this.p=- 1;
      //$LASTPOS=9000059;//user.MakePat:59
      _this.pa = new Tonyu.classes.kernel.Panel({width: 32,height: 32,alpha: 0});
      
      //$LASTPOS=9000105;//user.MakePat:105
      _this.drawLight(_this.x,_this.y);
      //$LASTPOS=9000121;//user.MakePat:121
      Tonyu.globals.$pshade=_this.pa.addPattern(0,0,32,32);
      //$LASTPOS=9000155;//user.MakePat:155
      _this.update();
      //$LASTPOS=9000165;//user.MakePat:165
      _this.die();
    },
    fiber$main :function _trc_MakePat_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=9000000;//user.MakePat:0
      _this.x=_this.y=0;
      //$LASTPOS=9000006;//user.MakePat:6
      _this.p=- 1;
      //$LASTPOS=9000059;//user.MakePat:59
      _this.pa = new Tonyu.classes.kernel.Panel({width: 32,height: 32,alpha: 0});
      
      
      _thread.enter(function _trc_MakePat_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=9000105;//user.MakePat:105
            _this.fiber$drawLight(_thread, _this.x, _this.y);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=9000121;//user.MakePat:121
            Tonyu.globals.$pshade=_this.pa.addPattern(0,0,32,32);
            //$LASTPOS=9000155;//user.MakePat:155
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=9000165;//user.MakePat:165
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    drawLight :function _trc_MakePat_drawLight(bx,by) {
      "use strict";
      var _this=this;
      var li;
      var ce;
      
      //$LASTPOS=9000298;//user.MakePat:298
      li = new Tonyu.classes.kernel.Vec3(8,8);
      ce = new Tonyu.classes.kernel.Vec3(16,16);
      
      //$LASTPOS=9000344;//user.MakePat:344
      _this.pa.replaceColor(bx,by,32,32,(function anonymous_374(c,x,y) {
        var p;
        var d;
        var cd;
        
        //$LASTPOS=9000393;//user.MakePat:393
        x-=bx;
        //$LASTPOS=9000399;//user.MakePat:399
        y-=by;
        //$LASTPOS=9000414;//user.MakePat:414
        p = new Tonyu.classes.kernel.Vec3(x,y);
        
        //$LASTPOS=9000443;//user.MakePat:443
        d = p.sub(li).length;
        
        //$LASTPOS=9000475;//user.MakePat:475
        if (d<5) {
          //$LASTPOS=9000484;//user.MakePat:484
          c.setHSLA(0,0,1,255-d*30);
        }
        //$LASTPOS=9000548;//user.MakePat:548
        cd = p.sub(ce).length;
        
        //$LASTPOS=9000581;//user.MakePat:581
        if (d>15&&cd<16) {
          //$LASTPOS=9000614;//user.MakePat:614
          c.setHSLA(0,0,0,(d-15)*20);
          
        }
      }));
    },
    fiber$drawLight :function _trc_MakePat_f_drawLight(_thread,bx,by) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var li;
      var ce;
      
      //$LASTPOS=9000298;//user.MakePat:298
      li = new Tonyu.classes.kernel.Vec3(8,8);
      ce = new Tonyu.classes.kernel.Vec3(16,16);
      
      //$LASTPOS=9000344;//user.MakePat:344
      _this.pa.replaceColor(bx,by,32,32,(function anonymous_374(c,x,y) {
        var p;
        var d;
        var cd;
        
        //$LASTPOS=9000393;//user.MakePat:393
        x-=bx;
        //$LASTPOS=9000399;//user.MakePat:399
        y-=by;
        //$LASTPOS=9000414;//user.MakePat:414
        p = new Tonyu.classes.kernel.Vec3(x,y);
        
        //$LASTPOS=9000443;//user.MakePat:443
        d = p.sub(li).length;
        
        //$LASTPOS=9000475;//user.MakePat:475
        if (d<5) {
          //$LASTPOS=9000484;//user.MakePat:484
          c.setHSLA(0,0,1,255-d*30);
        }
        //$LASTPOS=9000548;//user.MakePat:548
        cd = p.sub(ce).length;
        
        //$LASTPOS=9000581;//user.MakePat:581
        if (d>15&&cd<16) {
          //$LASTPOS=9000614;//user.MakePat:614
          c.setHSLA(0,0,0,(d-15)*20);
          
        }
      }));
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"drawLight":{"nowait":false}},"fields":{"pa":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Member',
  shortName: 'Member',
  namespace: 'user',
  superclass: Tonyu.classes.user.ColorSprite,
  includes: [],
  methods: {
    main :function _trc_Member_main() {
      "use strict";
      var _this=this;
      
      
    },
    fiber$main :function _trc_Member_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      
      _thread.retVal=_this;return;
    },
    initialize :function _trc_Member_initialize(p) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=10000084;//user.Member:84
      Tonyu.classes.user.ColorSprite.apply( _this, [p]);
      //$LASTPOS=10000098;//user.Member:98
      _this.lifeMax=20;
      //$LASTPOS=10000114;//user.Member:114
      _this.life=_this.lifeMax;
      //$LASTPOS=10000132;//user.Member:132
      _this.skillMax=20;
      //$LASTPOS=10000149;//user.Member:149
      _this.skill=0;
      //$LASTPOS=10000162;//user.Member:162
      _this.quake=0;
      //$LASTPOS=10000175;//user.Member:175
      _this.op=_this.position.clone();
    },
    draw :function _trc_Member_draw(ctx) {
      "use strict";
      var _this=this;
      var sx;
      var sy;
      var t;
      var len;
      var ll;
      var sl;
      
      //$LASTPOS=10000214;//user.Member:214
      sx = _this.x;
      sy = _this.y;
      
      //$LASTPOS=10000233;//user.Member:233
      _this.x+=_this.rndFloat(- 2,2)*_this.quake;
      //$LASTPOS=10000262;//user.Member:262
      _this.y+=_this.rndFloat(- 2,2)*_this.quake;
      //$LASTPOS=10000291;//user.Member:291
      Tonyu.classes.user.ColorSprite.prototype.draw.apply( _this, [ctx]);
      //$LASTPOS=10000312;//user.Member:312
      _this.x=sx;
      //$LASTPOS=10000317;//user.Member:317
      _this.y=sy;
      //$LASTPOS=10000327;//user.Member:327
      if (_this.life<=0) {
        return _this;
      }
      //$LASTPOS=10000352;//user.Member:352
      ctx.globalAlpha=1;
      //$LASTPOS=10000375;//user.Member:375
      ctx.lineWidth=2;
      //$LASTPOS=10000435;//user.Member:435
      t = new Tonyu.classes.user.Turtle(ctx,_this.floor(_this.x-8),_this.floor(_this.y-10));
      
      //$LASTPOS=10000485;//user.Member:485
      len = 16;
      
      //$LASTPOS=10000501;//user.Member:501
      ll = _this.floor(_this.life/_this.lifeMax*len);
      
      //$LASTPOS=10000537;//user.Member:537
      t.strokeStyle="lime";
      //$LASTPOS=10000563;//user.Member:563
      t.lineBy(ll,0);
      //$LASTPOS=10000583;//user.Member:583
      t.strokeStyle="red";
      //$LASTPOS=10000608;//user.Member:608
      t.lineBy(len-ll,0);
      //$LASTPOS=10000637;//user.Member:637
      t.moveBy(- len,- 4);
      //$LASTPOS=10000660;//user.Member:660
      sl = _this.floor(_this.skill/_this.skillMax*len);
      
      //$LASTPOS=10000698;//user.Member:698
      t.strokeStyle="cyan";
      //$LASTPOS=10000724;//user.Member:724
      t.lineBy(sl,0);
    },
    checkLife :function _trc_Member_checkLife() {
      "use strict";
      var _this=this;
      var i;
      
      //$LASTPOS=10000819;//user.Member:819
      if (_this.life<=0) {
        //$LASTPOS=10000842;//user.Member:842
        //$LASTPOS=10000847;//user.Member:847
        i = 0;
        for (; i<50 ; i++) {
          Tonyu.checkLoop();
          {
            //$LASTPOS=10000866;//user.Member:866
            _this.alpha-=5;
            //$LASTPOS=10000875;//user.Member:875
            _this.update();
          }
        }
        //$LASTPOS=10000894;//user.Member:894
        _this.die();
        
      }
    },
    fiber$checkLife :function _trc_Member_f_checkLife(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var i;
      
      
      _thread.enter(function _trc_Member_ent_checkLife(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=10000819;//user.Member:819
            if (!(_this.life<=0)) { __pc=5     ; break; }
            //$LASTPOS=10000842;//user.Member:842
            //$LASTPOS=10000847;//user.Member:847
            i = 0;
            
          case 1:
            if (!(i<50)) { __pc=4     ; break; }
            //$LASTPOS=10000866;//user.Member:866
            _this.alpha-=5;
            //$LASTPOS=10000875;//user.Member:875
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3     :
            i++;
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=10000894;//user.Member:894
            _this.die();
          case 5     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    attack :function _trc_Member_attack(tg) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=10000927;//user.Member:927
      if (! tg) {
        return _this;
      }
      //$LASTPOS=10000948;//user.Member:948
      while (_this.dist(tg)>8) {
        Tonyu.checkLoop();
        //$LASTPOS=10000976;//user.Member:976
        _this.position.addX(tg.position.sub(_this.position).normalizeX(4));
        //$LASTPOS=10001041;//user.Member:1041
        _this.checkLife();
        //$LASTPOS=10001062;//user.Member:1062
        _this.update();
        
      }
      //$LASTPOS=10001082;//user.Member:1082
      tg.life-=_this.pow;
      //$LASTPOS=10001105;//user.Member:1105
      while (_this.dist(_this.op)>4) {
        Tonyu.checkLoop();
        //$LASTPOS=10001133;//user.Member:1133
        _this.position.addX(_this.op.sub(_this.position).normalizeX(4));
        //$LASTPOS=10001189;//user.Member:1189
        _this.checkLife();
        //$LASTPOS=10001210;//user.Member:1210
        _this.update();
        
      }
      //$LASTPOS=10001230;//user.Member:1230
      _this.position.set(_this.op);
      //$LASTPOS=10001252;//user.Member:1252
      _this.pow=0;
    },
    fiber$attack :function _trc_Member_f_attack(_thread,tg) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=10000927;//user.Member:927
      if (! tg) {
        _thread.retVal=_this;return;
        
      }
      
      _thread.enter(function _trc_Member_ent_attack(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=10000948;//user.Member:948
          case 1:
            if (!(_this.dist(tg)>8)) { __pc=4     ; break; }
            //$LASTPOS=10000976;//user.Member:976
            _this.position.addX(tg.position.sub(_this.position).normalizeX(4));
            //$LASTPOS=10001041;//user.Member:1041
            _this.fiber$checkLife(_thread);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=10001062;//user.Member:1062
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=10001082;//user.Member:1082
            tg.life-=_this.pow;
            //$LASTPOS=10001105;//user.Member:1105
          case 5:
            if (!(_this.dist(_this.op)>4)) { __pc=8     ; break; }
            //$LASTPOS=10001133;//user.Member:1133
            _this.position.addX(_this.op.sub(_this.position).normalizeX(4));
            //$LASTPOS=10001189;//user.Member:1189
            _this.fiber$checkLife(_thread);
            __pc=6;return;
          case 6:
            
            //$LASTPOS=10001210;//user.Member:1210
            _this.fiber$update(_thread);
            __pc=7;return;
          case 7:
            
            __pc=5;break;
          case 8     :
            
            //$LASTPOS=10001230;//user.Member:1230
            _this.position.set(_this.op);
            //$LASTPOS=10001252;//user.Member:1252
            _this.pow=0;
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"draw":{"nowait":true},"checkLife":{"nowait":false},"attack":{"nowait":false}},"fields":{"life":{},"lifeMax":{},"skill":{},"skillMax":{},"pow":{},"op":{},"quake":{}}}
});
Tonyu.klass.define({
  fullName: 'user.MkPlPat',
  shortName: 'MkPlPat',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_MkPlPat_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=11000000;//user.MkPlPat:0
      Tonyu.globals.$Screen.setBGColor("#aaa");
      //$LASTPOS=11000028;//user.MkPlPat:28
      _this.panel = new Tonyu.classes.kernel.Panel({x: 100,y: 100,width: 16*9,height: 16});
      
      //$LASTPOS=11000084;//user.MkPlPat:84
      _this.p=Tonyu.globals.$pat_mgoku+5;
      //$LASTPOS=11000100;//user.MkPlPat:100
      //$LASTPOS=11000105;//user.MkPlPat:105
      _this.i = 0;
      for (; _this.i<9 ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=11000128;//user.MkPlPat:128
          _this.panel.drawSprite(16*_this.i+8,8,_this.p);
          //$LASTPOS=11000162;//user.MkPlPat:162
          _this.p++;
        }
      }
      //$LASTPOS=11000169;//user.MkPlPat:169
      _this.panel.replaceColor(0,0,9*16,16,(function anonymous_201(c) {
        
        //$LASTPOS=11000212;//user.MkPlPat:212
        if (c.distRGBA(new Tonyu.classes.kernel.Color(0,0,0))<0.1) {
          //$LASTPOS=11000260;//user.MkPlPat:260
          c.setRGBA(0,0,0,0);
          
        }
      }));
      //$LASTPOS=11000289;//user.MkPlPat:289
      _this.panel.save("player.png");
    },
    fiber$main :function _trc_MkPlPat_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=11000000;//user.MkPlPat:0
      Tonyu.globals.$Screen.setBGColor("#aaa");
      //$LASTPOS=11000028;//user.MkPlPat:28
      _this.panel = new Tonyu.classes.kernel.Panel({x: 100,y: 100,width: 16*9,height: 16});
      
      //$LASTPOS=11000084;//user.MkPlPat:84
      _this.p=Tonyu.globals.$pat_mgoku+5;
      //$LASTPOS=11000100;//user.MkPlPat:100
      //$LASTPOS=11000105;//user.MkPlPat:105
      _this.i = 0;
      for (; _this.i<9 ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=11000128;//user.MkPlPat:128
          _this.panel.drawSprite(16*_this.i+8,8,_this.p);
          //$LASTPOS=11000162;//user.MkPlPat:162
          _this.p++;
        }
      }
      //$LASTPOS=11000169;//user.MkPlPat:169
      _this.panel.replaceColor(0,0,9*16,16,(function anonymous_201(c) {
        
        //$LASTPOS=11000212;//user.MkPlPat:212
        if (c.distRGBA(new Tonyu.classes.kernel.Color(0,0,0))<0.1) {
          //$LASTPOS=11000260;//user.MkPlPat:260
          c.setRGBA(0,0,0,0);
          
        }
      }));
      //$LASTPOS=11000289;//user.MkPlPat:289
      _this.panel.save("player.png");
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"panel":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.user.Member,
  includes: [],
  methods: {
    main :function _trc_Player_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=12000016;//user.Player:16
      _this.pow = 0;
      _this.powc = 0;
      
      //$LASTPOS=12000060;//user.Player:60
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=12000078;//user.Player:78
        if (_this.pow>0) {
          //$LASTPOS=12000099;//user.Player:99
          _this.powc++;
          //$LASTPOS=12000115;//user.Player:115
          if (_this.powc>20) {
            //$LASTPOS=12000142;//user.Player:142
            _this.attack(Tonyu.globals.$ep.random());
            
          }
          
        }
        //$LASTPOS=12000197;//user.Player:197
        _this.checkLife();
        //$LASTPOS=12000219;//user.Player:219
        _this.update();
        
      }
    },
    fiber$main :function _trc_Player_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=12000016;//user.Player:16
      _this.pow = 0;
      _this.powc = 0;
      
      
      _thread.enter(function _trc_Player_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=12000060;//user.Player:60
          case 1:
            //$LASTPOS=12000078;//user.Player:78
            if (!(_this.pow>0)) { __pc=4     ; break; }
            //$LASTPOS=12000099;//user.Player:99
            _this.powc++;
            //$LASTPOS=12000115;//user.Player:115
            if (!(_this.powc>20)) { __pc=3     ; break; }
            //$LASTPOS=12000142;//user.Player:142
            _this.fiber$attack(_thread, Tonyu.globals.$ep.random());
            __pc=2;return;
          case 2:
            
          case 3     :
            
          case 4     :
            
            //$LASTPOS=12000197;//user.Player:197
            _this.fiber$checkLife(_thread);
            __pc=5;return;
          case 5:
            
            //$LASTPOS=12000219;//user.Player:219
            _this.fiber$update(_thread);
            __pc=6;return;
          case 6:
            
            __pc=1;break;
          case 7     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    incPow :function _trc_Player_incPow(p) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=12000249;//user.Player:249
      _this.pow+=p;
      //$LASTPOS=12000261;//user.Player:261
      _this.powc=0;
    },
    fiber$incPow :function _trc_Player_f_incPow(_thread,p) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=12000249;//user.Player:249
      _this.pow+=p;
      //$LASTPOS=12000261;//user.Player:261
      _this.powc=0;
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"incPow":{"nowait":false}},"fields":{"pow":{},"powc":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PParty',
  shortName: 'PParty',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_PParty_main() {
      "use strict";
      var _this=this;
      
      
      //$LASTPOS=13000015;//user.PParty:15
      _this.p=1;
      //$LASTPOS=13000033;//user.PParty:33
      _this.pitch=_this.scr.width/Tonyu.globals.$colorc;
      //$LASTPOS=13000058;//user.PParty:58
      //$LASTPOS=13000063;//user.PParty:63
      _this.i = 0;
      for (; _this.i<Tonyu.globals.$colorc ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=13000092;//user.PParty:92
          _this.add(_this.i);
        }
      }
    },
    fiber$main :function _trc_PParty_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      //$LASTPOS=13000015;//user.PParty:15
      _this.p=1;
      //$LASTPOS=13000033;//user.PParty:33
      _this.pitch=_this.scr.width/Tonyu.globals.$colorc;
      
      _thread.enter(function _trc_PParty_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=13000058;//user.PParty:58
            //$LASTPOS=13000063;//user.PParty:63
            _this.i = 0;
            
          case 1:
            if (!(_this.i<Tonyu.globals.$colorc)) { __pc=4     ; break; }
            //$LASTPOS=13000092;//user.PParty:92
            _this.fiber$add(_thread, _this.i);
            __pc=2;return;
          case 2:
            
          case 3     :
            _this.i++;
            __pc=1;break;
          case 4     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    add :function _trc_PParty_add(c) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=13000117;//user.PParty:117
      new Tonyu.classes.user.Player({x: (c+0.5)*_this.pitch,y: _this.scr.height-8,p: Tonyu.globals.$pat_player+c,col: c,fillStyle: Tonyu.globals.$colors[c],layer: _this.layer});
    },
    fiber$add :function _trc_PParty_f_add(_thread,c) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=13000117;//user.PParty:117
      new Tonyu.classes.user.Player({x: (c+0.5)*_this.pitch,y: _this.scr.height-8,p: Tonyu.globals.$pat_player+c,col: c,fillStyle: Tonyu.globals.$colors[c],layer: _this.layer});
      
      _thread.retVal=_this;return;
    },
    find :function _trc_PParty_find(c) {
      "use strict";
      var _this=this;
      
      return _this.all(Tonyu.classes.user.Player).find1({col: c});
    },
    fiber$find :function _trc_PParty_f_find(_thread,c) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.all(Tonyu.classes.user.Player).find1({col: c});return;
      
      
      _thread.retVal=_this;return;
    },
    random :function _trc_PParty_random() {
      "use strict";
      var _this=this;
      
      return _this.all(Tonyu.classes.user.Player).random();
    },
    fiber$random :function _trc_PParty_f_random(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.all(Tonyu.classes.user.Player).random();return;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"add":{"nowait":false},"find":{"nowait":false},"random":{"nowait":false}},"fields":{"pitch":{},"scr":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PzScreen',
  shortName: 'PzScreen',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Screen,
  includes: [],
  methods: {
    main :function _trc_PzScreen_main() {
      "use strict";
      var _this=this;
      
      
    },
    fiber$main :function _trc_PzScreen_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      
      _thread.retVal=_this;return;
    },
    onAppear :function _trc_PzScreen_onAppear() {
      "use strict";
      var _this=this;
      var c;
      
      //$LASTPOS=14000053;//user.PzScreen:53
      _this.ballLayer=_this.addLayer();
      //$LASTPOS=14000079;//user.PzScreen:79
      _this.mat=new Tonyu.classes.kernel.Matrix;
      //$LASTPOS=14000099;//user.PzScreen:99
      Tonyu.globals.$zoomScreen=new Tonyu.classes.kernel.Screen({x: Tonyu.globals.$screenWidth/2,y: 100,width: 96,height: 96});
      //$LASTPOS=14000184;//user.PzScreen:184
      Tonyu.globals.$zoomScreen.addLayer(_this.ballLayer.group);
      //$LASTPOS=14000227;//user.PzScreen:227
      Tonyu.globals.$zoomScreen.selectLayer(_this.ballLayer.group);
      //$LASTPOS=14000273;//user.PzScreen:273
      Tonyu.globals.$zoomScreen.setPivot(48,48);
      //$LASTPOS=14000306;//user.PzScreen:306
      Tonyu.globals.$zoomScreen.alpha=0;
      //$LASTPOS=14000331;//user.PzScreen:331
      c = Tonyu.globals.$zoomScreen.context;
      
      //$LASTPOS=14000362;//user.PzScreen:362
      c.arc(48,48,48,0,Tonyu.globals.$Math.PI*2);
      //$LASTPOS=14000396;//user.PzScreen:396
      c.clip();
    },
    fiber$onAppear :function _trc_PzScreen_f_onAppear(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var c;
      
      
      _thread.enter(function _trc_PzScreen_ent_onAppear(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=14000053;//user.PzScreen:53
            _this.fiber$addLayer(_thread);
            __pc=1;return;
          case 1:
            _this.ballLayer=_thread.retVal;
            
            //$LASTPOS=14000079;//user.PzScreen:79
            _this.mat=new Tonyu.classes.kernel.Matrix;
            //$LASTPOS=14000099;//user.PzScreen:99
            Tonyu.globals.$zoomScreen=new Tonyu.classes.kernel.Screen({x: Tonyu.globals.$screenWidth/2,y: 100,width: 96,height: 96});
            //$LASTPOS=14000184;//user.PzScreen:184
            Tonyu.globals.$zoomScreen.addLayer(_this.ballLayer.group);
            //$LASTPOS=14000227;//user.PzScreen:227
            Tonyu.globals.$zoomScreen.selectLayer(_this.ballLayer.group);
            //$LASTPOS=14000273;//user.PzScreen:273
            Tonyu.globals.$zoomScreen.setPivot(48,48);
            //$LASTPOS=14000306;//user.PzScreen:306
            Tonyu.globals.$zoomScreen.alpha=0;
            //$LASTPOS=14000331;//user.PzScreen:331
            c = Tonyu.globals.$zoomScreen.context;
            
            //$LASTPOS=14000362;//user.PzScreen:362
            c.arc(48,48,48,0,Tonyu.globals.$Math.PI*2);
            //$LASTPOS=14000396;//user.PzScreen:396
            c.clip();
            _thread.exit(_this);return;
          }
        }
      });
    },
    zoom :function _trc_PzScreen_zoom(p) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=14000423;//user.PzScreen:423
      if (p) {
        //$LASTPOS=14000440;//user.PzScreen:440
        Tonyu.globals.$zoomScreen.alpha=255;
        //$LASTPOS=14000471;//user.PzScreen:471
        Tonyu.globals.$zoomScreen.scrollTo(p.x,p.y);
        
      } else {
        //$LASTPOS=14000523;//user.PzScreen:523
        Tonyu.globals.$zoomScreen.alpha=0;
        
      }
    },
    fiber$zoom :function _trc_PzScreen_f_zoom(_thread,p) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=14000423;//user.PzScreen:423
      if (p) {
        //$LASTPOS=14000440;//user.PzScreen:440
        Tonyu.globals.$zoomScreen.alpha=255;
        //$LASTPOS=14000471;//user.PzScreen:471
        Tonyu.globals.$zoomScreen.scrollTo(p.x,p.y);
        
      } else {
        //$LASTPOS=14000523;//user.PzScreen:523
        Tonyu.globals.$zoomScreen.alpha=0;
        
      }
      
      _thread.retVal=_this;return;
    },
    toLocal :function _trc_PzScreen_toLocal(touch) {
      "use strict";
      var _this=this;
      var pt;
      
      //$LASTPOS=14000574;//user.PzScreen:574
      touch.layer=_this.layer;
      //$LASTPOS=14000597;//user.PzScreen:597
      pt = _this.convert(touch);
      
      return pt;
    },
    fiber$toLocal :function _trc_PzScreen_f_toLocal(_thread,touch) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var pt;
      
      //$LASTPOS=14000574;//user.PzScreen:574
      touch.layer=_this.layer;
      
      _thread.enter(function _trc_PzScreen_ent_toLocal(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=14000597;//user.PzScreen:597
            _this.fiber$convert(_thread, touch);
            __pc=1;return;
          case 1:
            pt=_thread.retVal;
            
            _thread.exit(pt);return;
            _thread.exit(_this);return;
          }
        }
      });
    },
    grid :function _trc_PzScreen_grid(touch) {
      "use strict";
      var _this=this;
      var pt;
      var gx;
      var gy;
      
      //$LASTPOS=14000660;//user.PzScreen:660
      pt = _this.toLocal(touch);
      
      //$LASTPOS=14000687;//user.PzScreen:687
      gx = _this.floor(pt.x/32);
      gy = _this.floor(pt.y/32);
      
      return {gx: gx,gy: gy};
    },
    fiber$grid :function _trc_PzScreen_f_grid(_thread,touch) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var pt;
      var gx;
      var gy;
      
      
      _thread.enter(function _trc_PzScreen_ent_grid(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=14000660;//user.PzScreen:660
            _this.fiber$toLocal(_thread, touch);
            __pc=1;return;
          case 1:
            pt=_thread.retVal;
            
            //$LASTPOS=14000687;//user.PzScreen:687
            gx = _this.floor(pt.x/32);
            gy = _this.floor(pt.y/32);
            
            _thread.exit({gx: gx,gy: gy});return;
            _thread.exit(_this);return;
          }
        }
      });
    },
    ballOnTouch :function _trc_PzScreen_ballOnTouch(touch) {
      "use strict";
      var _this=this;
      var g;
      
      //$LASTPOS=14000776;//user.PzScreen:776
      g = _this.grid(touch);
      
      return _this.mat.get(g.gx,g.gy);
    },
    fiber$ballOnTouch :function _trc_PzScreen_f_ballOnTouch(_thread,touch) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var g;
      
      
      _thread.enter(function _trc_PzScreen_ent_ballOnTouch(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=14000776;//user.PzScreen:776
            _this.fiber$grid(_thread, touch);
            __pc=1;return;
          case 1:
            g=_thread.retVal;
            
            _thread.exit(_this.mat.get(g.gx,g.gy));return;
            _thread.exit(_this);return;
          }
        }
      });
    },
    getSBall :function _trc_PzScreen_getSBall(gx,gy) {
      "use strict";
      var _this=this;
      
      return _this.mat.get(gx,gy);
    },
    fiber$getSBall :function _trc_PzScreen_f_getSBall(_thread,gx,gy) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.mat.get(gx,gy);return;
      
      
      _thread.retVal=_this;return;
    },
    rm :function _trc_PzScreen_rm(gx,gy) {
      "use strict";
      var _this=this;
      var b;
      
      //$LASTPOS=14000950;//user.PzScreen:950
      b = _this.mat.get(gx,gy);
      
      //$LASTPOS=14000976;//user.PzScreen:976
      if (b) {
        //$LASTPOS=14000993;//user.PzScreen:993
        b.die();
        //$LASTPOS=14001010;//user.PzScreen:1010
        _this.mat.set(gx,gy);
        return b;
        
      }
    },
    fiber$rm :function _trc_PzScreen_f_rm(_thread,gx,gy) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var b;
      
      //$LASTPOS=14000950;//user.PzScreen:950
      b = _this.mat.get(gx,gy);
      
      //$LASTPOS=14000976;//user.PzScreen:976
      if (b) {
        //$LASTPOS=14000993;//user.PzScreen:993
        b.die();
        //$LASTPOS=14001010;//user.PzScreen:1010
        _this.mat.set(gx,gy);
        _thread.retVal=b;return;
        
        
      }
      
      _thread.retVal=_this;return;
    },
    fill :function _trc_PzScreen_fill() {
      "use strict";
      var _this=this;
      var j;
      var i;
      var n;
      var b;
      
      
      //$LASTPOS=14001079;//user.PzScreen:1079
      //$LASTPOS=14001084;//user.PzScreen:1084
      j=0;for (; j<Tonyu.globals.$c ; j++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=14001108;//user.PzScreen:1108
          n = 0;
          
          //$LASTPOS=14001125;//user.PzScreen:1125
          //$LASTPOS=14001130;//user.PzScreen:1130
          i=Tonyu.globals.$r-1;for (; i>=0 ; i--) {
            Tonyu.checkLoop();
            {
              //$LASTPOS=14001162;//user.PzScreen:1162
              b = _this.getSBall(j,i);
              
              //$LASTPOS=14001195;//user.PzScreen:1195
              if (! b) {
                //$LASTPOS=14001221;//user.PzScreen:1221
                n++;
                
              } else {
                //$LASTPOS=14001263;//user.PzScreen:1263
                if (n) {
                  //$LASTPOS=14001292;//user.PzScreen:1292
                  _this.rm(j,i);
                  //$LASTPOS=14001321;//user.PzScreen:1321
                  _this.genDBall(j,i,b.p);
                  
                }
                
              }
            }
          }
          //$LASTPOS=14001390;//user.PzScreen:1390
          //$LASTPOS=14001395;//user.PzScreen:1395
          i=- 1;for (; i>=- n ; i--) {
            Tonyu.checkLoop();
            {
              //$LASTPOS=14001425;//user.PzScreen:1425
              _this.genDBall(j,i,Tonyu.globals.$pat_iroball+_this.rnd(25));
            }
          }
        }
      }
    },
    fiber$fill :function _trc_PzScreen_f_fill(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var j;
      var i;
      var n;
      var b;
      
      
      
      _thread.enter(function _trc_PzScreen_ent_fill(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=14001079;//user.PzScreen:1079
            //$LASTPOS=14001084;//user.PzScreen:1084
            j=0;
          case 1:
            if (!(j<Tonyu.globals.$c)) { __pc=16    ; break; }
            //$LASTPOS=14001108;//user.PzScreen:1108
            n = 0;
            
            //$LASTPOS=14001125;//user.PzScreen:1125
            //$LASTPOS=14001130;//user.PzScreen:1130
            i=Tonyu.globals.$r-1;
          case 2:
            if (!(i>=0)) { __pc=10    ; break; }
            //$LASTPOS=14001162;//user.PzScreen:1162
            _this.fiber$getSBall(_thread, j, i);
            __pc=3;return;
          case 3:
            b=_thread.retVal;
            
            //$LASTPOS=14001195;//user.PzScreen:1195
            if (!(! b)) { __pc=4     ; break; }
            {
              //$LASTPOS=14001221;//user.PzScreen:1221
              n++;
            }
            __pc=8     ;break;
          case 4     :
            //$LASTPOS=14001263;//user.PzScreen:1263
            if (!(n)) { __pc=7     ; break; }
            //$LASTPOS=14001292;//user.PzScreen:1292
            _this.fiber$rm(_thread, j, i);
            __pc=5;return;
          case 5:
            
            //$LASTPOS=14001321;//user.PzScreen:1321
            _this.fiber$genDBall(_thread, j, i, b.p);
            __pc=6;return;
          case 6:
            
          case 7     :
            
          case 8     :
            
          case 9     :
            i--;
            __pc=2;break;
          case 10    :
            
            //$LASTPOS=14001390;//user.PzScreen:1390
            //$LASTPOS=14001395;//user.PzScreen:1395
            i=- 1;
          case 11:
            if (!(i>=- n)) { __pc=14    ; break; }
            //$LASTPOS=14001425;//user.PzScreen:1425
            _this.fiber$genDBall(_thread, j, i, Tonyu.globals.$pat_iroball+_this.rnd(25));
            __pc=12;return;
          case 12:
            
          case 13    :
            i--;
            __pc=11;break;
          case 14    :
            
          case 15    :
            j++;
            __pc=1;break;
          case 16    :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    genSBall :function _trc_PzScreen_genSBall(gx,gy,p) {
      "use strict";
      var _this=this;
      var sb;
      
      //$LASTPOS=14001505;//user.PzScreen:1505
      sb = new Tonyu.classes.user.Ball({x: gx*32+16,y: gy*32+16,p: p,layer: _this.ballLayer,scr: _this});
      
      //$LASTPOS=14001628;//user.PzScreen:1628
      _this.mat.set(gx,gy,sb);
      return sb;
    },
    fiber$genSBall :function _trc_PzScreen_f_genSBall(_thread,gx,gy,p) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var sb;
      
      //$LASTPOS=14001505;//user.PzScreen:1505
      sb = new Tonyu.classes.user.Ball({x: gx*32+16,y: gy*32+16,p: p,layer: _this.ballLayer,scr: _this});
      
      //$LASTPOS=14001628;//user.PzScreen:1628
      _this.mat.set(gx,gy,sb);
      _thread.retVal=sb;return;
      
      
      _thread.retVal=_this;return;
    },
    genDBall :function _trc_PzScreen_genDBall(gx,gy,p) {
      "use strict";
      var _this=this;
      
      return new Tonyu.classes.user.DBall({x: gx*32+16,y: gy*32+16,p: p,layer: _this.ballLayer,scr: _this});
    },
    fiber$genDBall :function _trc_PzScreen_f_genDBall(_thread,gx,gy,p) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=new Tonyu.classes.user.DBall({x: gx*32+16,y: gy*32+16,p: p,layer: _this.ballLayer,scr: _this});return;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"onAppear":{"nowait":false},"zoom":{"nowait":false},"toLocal":{"nowait":false},"grid":{"nowait":false},"ballOnTouch":{"nowait":false},"getSBall":{"nowait":false},"rm":{"nowait":false},"fill":{"nowait":false},"genSBall":{"nowait":false},"genDBall":{"nowait":false}},"fields":{"ballLayer":{},"mat":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Turtle',
  shortName: 'Turtle',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Turtle_main() {
      "use strict";
      var _this=this;
      
      
    },
    fiber$main :function _trc_Turtle_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      
      _thread.retVal=_this;return;
    },
    initialize :function _trc_Turtle_initialize(context,x,y) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000073;//user.Turtle:73
      _this.context=context;
      //$LASTPOS=15000099;//user.Turtle:99
      if (typeof  x==="number"&&typeof  y==="number") {
        //$LASTPOS=15000157;//user.Turtle:157
        _this.x=x;
        //$LASTPOS=15000175;//user.Turtle:175
        _this.y=y;
        //$LASTPOS=15000193;//user.Turtle:193
        _this.px=x;
        //$LASTPOS=15000207;//user.Turtle:207
        _this.py=y;
        
      } else {
        //$LASTPOS=15000234;//user.Turtle:234
        x=0;
        //$LASTPOS=15000238;//user.Turtle:238
        y=0;
        
      }
      //$LASTPOS=15000253;//user.Turtle:253
      _this.dir=0;
      //$LASTPOS=15000264;//user.Turtle:264
      _this.autoDraw=true;
      //$LASTPOS=15000283;//user.Turtle:283
      _this.doFill=true;
    },
    __setter__lineWidth :function _trc_Turtle___setter__lineWidth(x) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000317;//user.Turtle:317
      _this.context.lineWidth=x;
    },
    __setter__fillStyle :function _trc_Turtle___setter__fillStyle(f) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000359;//user.Turtle:359
      _this.context.fillStyle=f;
      //$LASTPOS=15000384;//user.Turtle:384
      _this.doFill=! ! f;
    },
    __setter__strokeStyle :function _trc_Turtle___setter__strokeStyle(f) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000419;//user.Turtle:419
      _this.doStroke=! ! f;
      //$LASTPOS=15000437;//user.Turtle:437
      _this.context.strokeStyle=f;
    },
    beginPath :function _trc_Turtle_beginPath() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000481;//user.Turtle:481
      _this.context.beginPath();
      //$LASTPOS=15000506;//user.Turtle:506
      _this.autoDraw=false;
      //$LASTPOS=15000526;//user.Turtle:526
      _this.px=null;
    },
    fiber$beginPath :function _trc_Turtle_f_beginPath(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15000481;//user.Turtle:481
      _this.context.beginPath();
      //$LASTPOS=15000506;//user.Turtle:506
      _this.autoDraw=false;
      //$LASTPOS=15000526;//user.Turtle:526
      _this.px=null;
      
      _thread.retVal=_this;return;
    },
    closePath :function _trc_Turtle_closePath() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000556;//user.Turtle:556
      _this.context.closePath();
      //$LASTPOS=15000581;//user.Turtle:581
      _this.autoDraw=true;
    },
    fiber$closePath :function _trc_Turtle_f_closePath(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15000556;//user.Turtle:556
      _this.context.closePath();
      //$LASTPOS=15000581;//user.Turtle:581
      _this.autoDraw=true;
      
      _thread.retVal=_this;return;
    },
    rotate :function _trc_Turtle_rotate(r) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000615;//user.Turtle:615
      _this.dir+=r;
    },
    fiber$rotate :function _trc_Turtle_f_rotate(_thread,r) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15000615;//user.Turtle:615
      _this.dir+=r;
      
      _thread.retVal=_this;return;
    },
    forward :function _trc_Turtle_forward(s) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000643;//user.Turtle:643
      _this.x+=_this.cos(_this.dir)*s;
      //$LASTPOS=15000662;//user.Turtle:662
      _this.y+=_this.sin(_this.dir)*s;
      //$LASTPOS=15000681;//user.Turtle:681
      _this.lineTo(_this.x,_this.y);
    },
    fiber$forward :function _trc_Turtle_f_forward(_thread,s) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15000643;//user.Turtle:643
      _this.x+=_this.cos(_this.dir)*s;
      //$LASTPOS=15000662;//user.Turtle:662
      _this.y+=_this.sin(_this.dir)*s;
      
      _thread.enter(function _trc_Turtle_ent_forward(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=15000681;//user.Turtle:681
            _this.fiber$lineTo(_thread, _this.x, _this.y);
            __pc=1;return;
          case 1:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    moveTo :function _trc_Turtle_moveTo(x,y) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000715;//user.Turtle:715
      _this.x=x;
      //$LASTPOS=15000729;//user.Turtle:729
      _this.y=y;
      //$LASTPOS=15000743;//user.Turtle:743
      _this.px=x;
      //$LASTPOS=15000753;//user.Turtle:753
      _this.py=y;
      //$LASTPOS=15000763;//user.Turtle:763
      _this.context.moveTo(x,y);
    },
    fiber$moveTo :function _trc_Turtle_f_moveTo(_thread,x,y) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15000715;//user.Turtle:715
      _this.x=x;
      //$LASTPOS=15000729;//user.Turtle:729
      _this.y=y;
      //$LASTPOS=15000743;//user.Turtle:743
      _this.px=x;
      //$LASTPOS=15000753;//user.Turtle:753
      _this.py=y;
      //$LASTPOS=15000763;//user.Turtle:763
      _this.context.moveTo(x,y);
      
      _thread.retVal=_this;return;
    },
    moveBy :function _trc_Turtle_moveBy(bx,by) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000807;//user.Turtle:807
      _this.moveTo(_this.x+bx,_this.y+by);
    },
    fiber$moveBy :function _trc_Turtle_f_moveBy(_thread,bx,by) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Turtle_ent_moveBy(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=15000807;//user.Turtle:807
            _this.fiber$moveTo(_thread, _this.x+bx, _this.y+by);
            __pc=1;return;
          case 1:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    lineBy :function _trc_Turtle_lineBy(bx,by) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000849;//user.Turtle:849
      _this.lineTo(_this.x+bx,_this.y+by);
    },
    fiber$lineBy :function _trc_Turtle_f_lineBy(_thread,bx,by) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Turtle_ent_lineBy(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=15000849;//user.Turtle:849
            _this.fiber$lineTo(_thread, _this.x+bx, _this.y+by);
            __pc=1;return;
          case 1:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    lineTo :function _trc_Turtle_lineTo(x,y) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000889;//user.Turtle:889
      _this.x=x;
      //$LASTPOS=15000903;//user.Turtle:903
      _this.y=y;
      //$LASTPOS=15000917;//user.Turtle:917
      if (_this.px==null) {
        //$LASTPOS=15000941;//user.Turtle:941
        _this.px=x;
        //$LASTPOS=15000946;//user.Turtle:946
        _this.py=y;
        return _this;
        
      }
      //$LASTPOS=15000969;//user.Turtle:969
      if (_this.autoDraw) {
        //$LASTPOS=15000993;//user.Turtle:993
        _this.enter((function anonymous_998() {
          
          //$LASTPOS=15001013;//user.Turtle:1013
          _this.context.beginPath();
          //$LASTPOS=15001046;//user.Turtle:1046
          _this.context.moveTo(_this.px,_this.py);
          //$LASTPOS=15001081;//user.Turtle:1081
          _this.context.lineTo(x,y);
          //$LASTPOS=15001114;//user.Turtle:1114
          _this.context.closePath();
          //$LASTPOS=15001147;//user.Turtle:1147
          _this.fillAndStroke();
        }));
        
      } else {
        //$LASTPOS=15001196;//user.Turtle:1196
        _this.context.lineTo(x,y);
        
      }
      //$LASTPOS=15001227;//user.Turtle:1227
      _this.px=x;
      //$LASTPOS=15001232;//user.Turtle:1232
      _this.py=y;
    },
    fiber$lineTo :function _trc_Turtle_f_lineTo(_thread,x,y) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15000889;//user.Turtle:889
      _this.x=x;
      //$LASTPOS=15000903;//user.Turtle:903
      _this.y=y;
      //$LASTPOS=15000917;//user.Turtle:917
      if (_this.px==null) {
        //$LASTPOS=15000941;//user.Turtle:941
        _this.px=x;
        //$LASTPOS=15000946;//user.Turtle:946
        _this.py=y;
        _thread.retVal=_this;return;
        
        
      }
      
      _thread.enter(function _trc_Turtle_ent_lineTo(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=15000969;//user.Turtle:969
            if (!(_this.autoDraw)) { __pc=2     ; break; }
            //$LASTPOS=15000993;//user.Turtle:993
            _this.fiber$enter(_thread, (function anonymous_998() {
              
              //$LASTPOS=15001013;//user.Turtle:1013
              _this.context.beginPath();
              //$LASTPOS=15001046;//user.Turtle:1046
              _this.context.moveTo(_this.px,_this.py);
              //$LASTPOS=15001081;//user.Turtle:1081
              _this.context.lineTo(x,y);
              //$LASTPOS=15001114;//user.Turtle:1114
              _this.context.closePath();
              //$LASTPOS=15001147;//user.Turtle:1147
              _this.fillAndStroke();
            }));
            __pc=1;return;
          case 1:
            
            __pc=3     ;break;
          case 2     :
            {
              //$LASTPOS=15001196;//user.Turtle:1196
              _this.context.lineTo(x,y);
            }
          case 3     :
            
            //$LASTPOS=15001227;//user.Turtle:1227
            _this.px=x;
            //$LASTPOS=15001232;//user.Turtle:1232
            _this.py=y;
            _thread.exit(_this);return;
          }
        }
      });
    },
    circle :function _trc_Turtle_circle(r) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15001257;//user.Turtle:1257
      _this.enter((function anonymous_1262() {
        
        //$LASTPOS=15001273;//user.Turtle:1273
        _this.context.beginPath();
        //$LASTPOS=15001302;//user.Turtle:1302
        _this.context.arc(_this.x,_this.y,r,0,Tonyu.globals.$Math.PI*2);
        //$LASTPOS=15001343;//user.Turtle:1343
        _this.context.closePath();
        //$LASTPOS=15001372;//user.Turtle:1372
        _this.fillAndStroke();
      }));
    },
    fiber$circle :function _trc_Turtle_f_circle(_thread,r) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Turtle_ent_circle(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=15001257;//user.Turtle:1257
            _this.fiber$enter(_thread, (function anonymous_1262() {
              
              //$LASTPOS=15001273;//user.Turtle:1273
              _this.context.beginPath();
              //$LASTPOS=15001302;//user.Turtle:1302
              _this.context.arc(_this.x,_this.y,r,0,Tonyu.globals.$Math.PI*2);
              //$LASTPOS=15001343;//user.Turtle:1343
              _this.context.closePath();
              //$LASTPOS=15001372;//user.Turtle:1372
              _this.fillAndStroke();
            }));
            __pc=1;return;
          case 1:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    fillAndStroke :function _trc_Turtle_fillAndStroke() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15001421;//user.Turtle:1421
      if (_this.doFill) {
        //$LASTPOS=15001433;//user.Turtle:1433
        _this.context.fill();
      }
      //$LASTPOS=15001453;//user.Turtle:1453
      if (_this.doStroke) {
        //$LASTPOS=15001467;//user.Turtle:1467
        _this.context.stroke();
      }
    },
    fiber$fillAndStroke :function _trc_Turtle_f_fillAndStroke(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15001421;//user.Turtle:1421
      if (_this.doFill) {
        //$LASTPOS=15001433;//user.Turtle:1433
        _this.context.fill();
      }
      //$LASTPOS=15001453;//user.Turtle:1453
      if (_this.doStroke) {
        //$LASTPOS=15001467;//user.Turtle:1467
        _this.context.stroke();
      }
      
      _thread.retVal=_this;return;
    },
    enter :function _trc_Turtle_enter(f) {
      "use strict";
      var _this=this;
      var ee;
      var e;
      
      //$LASTPOS=15001503;//user.Turtle:1503
      _this.context.save();
      
      try {
        //$LASTPOS=15001549;//user.Turtle:1549
        f();
        
      } catch (e) {
        //$LASTPOS=15001579;//user.Turtle:1579
        ee=e;
        
      }
      //$LASTPOS=15001595;//user.Turtle:1595
      _this.context.restore();
      //$LASTPOS=15001618;//user.Turtle:1618
      if (ee) {
        throw ee;
        
      }
    },
    fiber$enter :function _trc_Turtle_f_enter(_thread,f) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var ee;
      var e;
      
      //$LASTPOS=15001503;//user.Turtle:1503
      _this.context.save();
      
      try {
        //$LASTPOS=15001549;//user.Turtle:1549
        f();
        
      } catch (e) {
        //$LASTPOS=15001579;//user.Turtle:1579
        ee=e;
        
      }
      //$LASTPOS=15001595;//user.Turtle:1595
      _this.context.restore();
      //$LASTPOS=15001618;//user.Turtle:1618
      if (ee) {
        throw ee;
        
      }
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"__setter__lineWidth":{"nowait":true},"__setter__fillStyle":{"nowait":true},"__setter__strokeStyle":{"nowait":true},"beginPath":{"nowait":false},"closePath":{"nowait":false},"rotate":{"nowait":false},"forward":{"nowait":false},"moveTo":{"nowait":false},"moveBy":{"nowait":false},"lineBy":{"nowait":false},"lineTo":{"nowait":false},"circle":{"nowait":false},"fillAndStroke":{"nowait":false},"enter":{"nowait":false}},"fields":{"context":{},"px":{},"py":{},"dir":{},"autoDraw":{},"doFill":{},"doStroke":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.user.Member,
  includes: [],
  methods: {
    main :function _trc_Enemy_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=16000048;//user.Enemy:48
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=16000067;//user.Enemy:67
        if (_this.rnd(50)==0) {
          //$LASTPOS=16000083;//user.Enemy:83
          _this.skill+=1;
        }
        //$LASTPOS=16000097;//user.Enemy:97
        if (_this.skill>=_this.skillMax) {
          //$LASTPOS=16000128;//user.Enemy:128
          _this.pow=5;
          //$LASTPOS=16000143;//user.Enemy:143
          _this.attack(Tonyu.globals.$pp.random());
          //$LASTPOS=16000173;//user.Enemy:173
          _this.skill=0;
          
        }
        //$LASTPOS=16000192;//user.Enemy:192
        _this.quake=_this.skill/_this.skillMax;
        //$LASTPOS=16000218;//user.Enemy:218
        _this.checkLife();
        //$LASTPOS=16000235;//user.Enemy:235
        _this.update();
        
      }
    },
    fiber$main :function _trc_Enemy_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Enemy_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=16000048;//user.Enemy:48
          case 1:
            //$LASTPOS=16000067;//user.Enemy:67
            if (_this.rnd(50)==0) {
              //$LASTPOS=16000083;//user.Enemy:83
              _this.skill+=1;
            }
            //$LASTPOS=16000097;//user.Enemy:97
            if (!(_this.skill>=_this.skillMax)) { __pc=3     ; break; }
            //$LASTPOS=16000128;//user.Enemy:128
            _this.pow=5;
            //$LASTPOS=16000143;//user.Enemy:143
            _this.fiber$attack(_thread, Tonyu.globals.$pp.random());
            __pc=2;return;
          case 2:
            
            //$LASTPOS=16000173;//user.Enemy:173
            _this.skill=0;
          case 3     :
            
            //$LASTPOS=16000192;//user.Enemy:192
            _this.quake=_this.skill/_this.skillMax;
            //$LASTPOS=16000218;//user.Enemy:218
            _this.fiber$checkLife(_thread);
            __pc=4;return;
          case 4:
            
            //$LASTPOS=16000235;//user.Enemy:235
            _this.fiber$update(_thread);
            __pc=5;return;
          case 5:
            
            __pc=1;break;
          case 6     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    incPow :function _trc_Enemy_incPow(p) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=16000035;//user.Enemy:35
      _this.skill+=p;
    },
    fiber$incPow :function _trc_Enemy_f_incPow(_thread,p) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=16000035;//user.Enemy:35
      _this.skill+=p;
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"incPow":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map